<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec=xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="UTF-8">
    <title>Test</title>
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
          integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2"
          crossorigin="anonymous">
</head>
<body>
<div align="center">
    <div class="container my-2">

        <table border="1" class="table table-striped table embed-responsive-md">
            <h2>All Tests</h2>
            <thead>
            <tr>
                <th>Title</th>
                <th>Topic</th>
            </tr>

            </thead>
            <tbody>
            <tr th:each="test : ${getAllTests}">
                <td th:text="${test.getTopic()}"></td>
                <td th:text="${test.getTitle()}"></td>
               <td><a th:href="@{/api/v1/questions/getAllQuestionsFromATest/}+${test.id}">Resolve this test</a></td>
            </tr>
            </tbody>
        </table>
    </div>
</div>

<form class="form-inline my-2 my-lg-0" form-method="post" th:action="@{/logout}">
    <button sec:authozie="isAuthenticated()" class="btn btn-outline-danger my-2 my-sm" type="submit">Logout</button>
</form>
</body>
</html>
